package onebit.chrdraw.chr;

import java.util.Map;

public class Font {

  String fontType;
  Integer driverMajorVersion;
  Integer driverMinorVersion;
  Character signature;
  Integer scanFlag;
  String description;
  String internalFontname;
  String fontname;
  Integer originToTopOfCapital;
  Integer originToBaseLine;
  Integer originToBottomDescender;
  
  Map<Character, Glyph> characters;
  
  public Font(String fontType, String description, String internalFontname, 
      Integer driverMajorVersion, Integer driverMinorVersion, 
      Character signature, Integer scanFlag, String fontname, 
      Integer originToTopOfCapital, Integer originToBaseLine, Integer originToBottomDescender, 
      Map<Character, Glyph> characters ) {
    this.fontType = fontType;
    this.description = description;
    this.internalFontname = internalFontname;
    this.driverMajorVersion = driverMajorVersion;
    this.driverMinorVersion = driverMinorVersion;
    this.signature = signature;
    this.fontname = fontname;
    this.scanFlag = scanFlag;
    this.originToTopOfCapital = originToTopOfCapital;
    this.originToBaseLine = originToBaseLine;
    this.originToBottomDescender = originToBottomDescender;
    this.characters = characters;
  }
  
  public Map<Character, Glyph> getCharacters() {
    return characters;
  }

  public String getFontType() {
    return fontType;
  }

  public Integer getDriverMajorVersion() {
    return driverMajorVersion;
  }

  public Integer getDriverMinorVersion() {
    return driverMinorVersion;
  }

  public String getDescription() {
    return description;
  }

  public String getInternalFontname() {
    return internalFontname;
  }

  public String getFontname() {
    return fontname;
  }

  public Integer getOriginToTopOfCapital() {
    return originToTopOfCapital;
  }

  public Integer getOriginToBaseLine() {
    return originToBaseLine;
  }

  public Integer getOriginToBottomDescender() {
    return originToBottomDescender;
  }

  public Character getSignature() {
    return signature;
  }

  public Integer getScanFlag() {
    return scanFlag;
  }
}
